VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::vcenter::vm::hardware::FloppyTypes::BackingType Class Reference

The `Floppy.BackingType` enumerated type defines the valid backing types for a virtual floppy drive. More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, IMAGE_FILE, HOST_DEVICE, CLIENT_DEVICE }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static BackingType[] | GetValues ()
static BackingType | ValueOf (string name)
## Static Public Attributes
static readonly BackingType | IMAGE_FILE = new BackingType("IMAGE_FILE", Values.IMAGE_FILE)
| Virtual floppy drive is backed by an image file.
static readonly BackingType | HOST_DEVICE = new BackingType("HOST_DEVICE", Values.HOST_DEVICE)
| Virtual floppy drive is backed by a device on the host where the virtual machine is running.
static readonly BackingType | CLIENT_DEVICE = new BackingType("CLIENT_DEVICE", Values.CLIENT_DEVICE)
| Virtual floppy drive is backed by a device on the client that is connected to the virtual machine console.

## Detailed Description

The `Floppy.BackingType` enumerated type defines the valid backing types for a virtual floppy drive.

## Member Enumeration Documentation

enum vmware::vcenter::vm::hardware::FloppyTypes::BackingType::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  IMAGE_FILE | Virtual floppy drive is backed by an image file.
  HOST_DEVICE | Virtual floppy drive is backed by a device on the host where the virtual machine is running.
  CLIENT_DEVICE | Virtual floppy drive is backed by a device on the client that is connected to the virtual machine console.

## Member Function Documentation

Values vmware::vcenter::vm::hardware::FloppyTypes::BackingType::GetEnumValue | ( |  | ) | `[inline]`

static BackingType [] vmware::vcenter::vm::hardware::FloppyTypes::BackingType::GetValues | ( |  | ) | `[inline, static]`

bool vmware::vcenter::vm::hardware::FloppyTypes::BackingType::IsUnknown | ( |  | ) | `[inline]`

static BackingType vmware::vcenter::vm::hardware::FloppyTypes::BackingType::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly BackingType vmware::vcenter::vm::hardware::FloppyTypes::BackingType::CLIENT_DEVICE = new BackingType("CLIENT_DEVICE", Values.CLIENT_DEVICE)`[static]`

Virtual floppy drive is backed by a device on the client that is connected to the virtual machine console.

readonly BackingType vmware::vcenter::vm::hardware::FloppyTypes::BackingType::HOST_DEVICE = new BackingType("HOST_DEVICE", Values.HOST_DEVICE)`[static]`

Virtual floppy drive is backed by a device on the host where the virtual machine is running.

readonly BackingType vmware::vcenter::vm::hardware::FloppyTypes::BackingType::IMAGE_FILE = new BackingType("IMAGE_FILE", Values.IMAGE_FILE)`[static]`

Virtual floppy drive is backed by an image file.

The documentation for this class was generated from the following file:

- FloppyTypes.cs